use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug, Clone)]
pub enum UserID {
    DiscordUUID(u64),
    MinecraftUUID(String),
    GeoffreyID(u64)
}

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct Player {
    pub name: String,
    pub user_ids: Vec<UserID>
}